# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without repolib

%define reltag _redhat_1
%define namedreltag -redhat-1
%global namedversion %{version}%{?namedreltag}

%define cvs_version 2_9_1
%define section free

%define shortname xerces-j2

Name:           xerces-j2-eap6
Version:        2.9.1
Release:        10.5%{?reltag}%{?dist}
Epoch:          0
Summary:        Java XML parser
License:        ASL 2.0
URL:            http://xerces.apache.org/xerces2-j/
Group:          Development/Java
%if 0
svn -q export -r 1339655 https://svn.apache.org/repos/asf/xerces/java/tags/Xerces-J_2_9_1/ xerces-j2-2.9.1 && tar cjf xerces-j2-2.9.1.tar.bz2 xerces-j2-2.9.1
%endif
Source0:        xerces-j2-2.9.1.tar.bz2
Source1:        xercesImpl-%{version}.pom
Source2:        xerces-j2-version.sh
Source3:        xerces-j2-constants.sh
Patch0:         xerces-j2-build.patch
Patch1:         xerces-j2-libgcj.patch
Patch2:         xerces-j2-CVE-2009-2625.patch
%if 0
Patch3 - Merge from AS fork 2.9.1-jbossas-1
Download https://github.com/jboss/xerces/zipball/2.9.1-jbossas-1
diff -ur xerces-j2-2.9.1  jboss-xerces-ebbcd52 > xerces-j2-jbossas.patch
%endif
Patch3:         xerces-j2-jbossas.patch
Patch4:         xercesImpl-pom.patch
Provides:       jaxp_parser_impl
Obsoletes:      xerces-j2-dom3 < %{epoch}:%{version}-%{release}
Provides:       xerces-j2-dom3 = %{epoch}:%{version}-%{release}
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  ant >= 0:1.5
BuildRequires:  java-devel >= 0:1.5
# FIXME: removed from openjdk
%if 1
BuildRequires:  java-fonts
%else
BuildRequires:  liberation-mono-fonts liberation-sans-fonts liberation-serif-fonts
%endif
BuildRequires:  jaxp_parser_impl
BuildRequires:  jboss-parent
BuildRequires:  xalan-j2
# FIXME: will not build without 1.3.04 (meaning, with rt.jar)
BuildRequires:  xml-commons-jaxp-1.3-apis
BuildRequires:  xml-commons-resolver >= 0:1.2
BuildRequires:  xml-stylebook
%if %with repolib
BuildRequires:  maven2-plugin-deploy
%endif
BuildRequires:  unzip
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Welcome to the future! Xerces2 is the next generation of high
performance, fully compliant XML parsers in the Apache Xerces family.
This new version of Xerces introduces the Xerces Native Interface (XNI),
a complete framework for building parser components and configurations
that is extremely modular and easy to program.

The Apache Xerces2 parser is the reference implementation of XNI but
other parser components, configurations, and parsers can be written
using the Xerces Native Interface. For complete design and
implementation documents, refer to the XNI Manual.

Xerces 2 is a fully conforming XML Schema processor. For more
information, refer to the XML Schema page.

Xerces 2 also provides a partial implementation of Document Object Model
Level 3 Core, Load and Save and Abstract Schemas [deprecated] Working
Drafts. For more information, refer to the DOM Level 3 Implementation
page.

%package -n %{shortname}
Summary:        Java XML parser
Group:          Development/Java
Provides:       xerces-j2-dom3 = %{epoch}:%{version}-%{release}
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

%description -n %{shortname}
Welcome to the future! Xerces2 is the next generation of high
performance, fully compliant XML parsers in the Apache Xerces family.
This new version of Xerces introduces the Xerces Native Interface (XNI),
a complete framework for building parser components and configurations
that is extremely modular and easy to program.

The Apache Xerces2 parser is the reference implementation of XNI but
other parser components, configurations, and parsers can be written
using the Xerces Native Interface. For complete design and
implementation documents, refer to the XNI Manual.

Xerces 2 is a fully conforming XML Schema processor. For more
information, refer to the XML Schema page.

Xerces 2 also provides a partial implementation of Document Object Model
Level 3 Core, Load and Save and Abstract Schemas [deprecated] Working
Drafts. For more information, refer to the DOM Level 3 Implementation
page.

%if %with repolib
%package -n %{shortname}-repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description -n %{shortname}-repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package -n %{shortname}-javadoc
Summary:        Javadoc for Xerces-J
Group:          Development/Documentation
Requires:       jpackage-utils

%description -n %{shortname}-javadoc
Javadoc for Xerces-J.

%package -n %{shortname}-manual
Summary:        Documents for Xerces2 Java
Group:          Development/Documentation

%description -n %{shortname}-manual
%{summary}.

%package -n %{shortname}-demo
Summary:        Demo for Xerces2 Java
Group:          Development/Java
Requires:       %{shortname} = %{epoch}:%{version}-%{release}

%description -n %{shortname}-demo
Demonstrations and samples for Xerces2 Java.

%package -n %{shortname}-scripts
Summary:        Additional utility scripts for Xerces2 Java
Group:          Development/Java
Requires:       %{shortname} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils

%description -n %{shortname}-scripts
Additional utility scripts for Xerces2 Java.

%prep
%setup -q -n %{shortname}-%{version}

%{_bindir}/find -type f -name '*.jar' | %{_bindir}/xargs -t rm

mkdir -p tools/org/apache/xerces/util
cp -p tools/src/XJavac.java tools/org/apache/xerces/util/XJavac.java
cp -p tools/src/ExperimentalTaglet.java tools/org/apache/xerces/util/ExperimentalTaglet.java
cp -p tools/src/InternalTaglet.java tools/org/apache/xerces/util/InternalTaglet.java

mkdir -p tools/bin

cp -p %{SOURCE1} xercesImpl-%{version}.pom

%patch0 -p1 -b .build
%patch1 -p0 -b .libgcj
%patch2 -p0 -b .cve-2009-2625
%patch3 -p1 -b .jbossas
%patch4 -p1 -b .sav4

%build
pushd tools
%{javac} -classpath $(build-classpath ant) org/apache/xerces/util/XJavac.java
%{jar} cf bin/xjavac.jar org/apache/xerces/util/XJavac.class
%{javac} -classpath %{java_home}/lib/tools.jar org/apache/xerces/util/ExperimentalTaglet.java org/apache/xerces/util/InternalTaglet.java
%{jar} cf bin/xerces2taglets.jar org/apache/xerces/util/ExperimentalTaglet.class org/apache/xerces/util/InternalTaglet.class
popd

export ANT_OPTS="-Djava.awt.headless=true"
export CLASSPATH=
export OPT_JAR_LIST=:
# FIXME: jar.apis name does not match upstream
%{ant} \
        -Dbuild.compiler=modern \
        -Dtools.dir=%{_javadir} \
        -Djar.apis=xml-commons-jaxp-1.3-apis.jar \
        -Djar.resolver=xml-resolver.jar \
        -Djar.serializer=serializer.jar \
%if 0
jars javadocs \
%else
all
%endif

%install
rm -rf %{buildroot}

rm -rf tmp
%{_bindir}/unzip -qq build/Xerces-J-bin.%{version}.zip -d tmp

# jars
mkdir -p %{buildroot}%{_javadir}
cp -p tmp/xerces-%{cvs_version}/xercesImpl.jar %{buildroot}%{_javadir}/xercesImpl-%{namedversion}.jar
cp -p tmp/xerces-%{cvs_version}/xercesSamples.jar %{buildroot}%{_javadir}/xercesSamples-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}.jar; do ln -s ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

# alternate JAR location
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p tmp/xerces-%{cvs_version}/xercesImpl.jar %{buildroot}%{_javadir}/%{name}/xercesImpl-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}.jar; do ln -s ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

# poms
mkdir -p %{buildroot}%{_mavenpomdir}
cp -p xercesImpl-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP-xercesImpl.pom
%add_to_maven_depmap xerces xercesImpl %{namedversion} JPP xercesImpl
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/xercesImpl || :

# doc
mkdir -p %{buildroot}%{_docdir}/%{shortname}-%{namedversion}
#cp -pr tmp/xerces-%{cvs_version}/[A-Z]* %{buildroot}%{_docdir}/%{shortname}-%{namedversion}
(cd %{buildroot}%{_docdir} && ln -s %{shortname}-%{namedversion} %{shortname})

# manual
cp -pr tmp/xerces-%{cvs_version}/docs/* %{buildroot}%{_docdir}/%{shortname}-%{namedversion}
rm -r %{buildroot}%{_docdir}/%{shortname}-%{namedversion}/javadocs
(cd %{buildroot}%{_docdir}/%{shortname}-%{namedversion} && ln -s %{_javadocdir}/%{shortname} javadocs)

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{shortname}-%{namedversion}
cp -pr tmp/xerces-%{cvs_version}/docs/javadocs/* %{buildroot}%{_javadocdir}/%{shortname}-%{namedversion}
(cd %{buildroot}%{_javadocdir} && ln -s %{shortname}-%{namedversion} %{shortname})

# scripts
mkdir -p %{buildroot}%{_bindir}
cp -p %{SOURCE2} %{buildroot}%{_bindir}/%{shortname}-version
cp -p %{SOURCE3} %{buildroot}%{_bindir}/%{shortname}-constants

mkdir -p %{buildroot}%{_datadir}/%{shortname}
%if 0
(cd %{buildroot}%{_datadir}/%{shortname} && ln -s %{_javadir}/xercesImpl.jar)
(cd %{buildroot}%{_datadir}/%{shortname} && ln -s %{_javadir}/xercesSamples.jar)
(cd %{buildroot}%{_datadir}/%{shortname} && ln -s %{_docdir}/%{shortname} docs)
%endif
mkdir -p %{buildroot}%{_datadir}/%{shortname}/data
cp -pr tmp/xerces-%{cvs_version}/data/* %{buildroot}%{_datadir}/%{shortname}/data
mkdir -p %{buildroot}%{_datadir}/%{shortname}/samples
cp -pr tmp/xerces-%{cvs_version}/samples/* %{buildroot}%{_datadir}/%{shortname}/samples

%if %with repolib
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=`pwd`/.m2/repository -Dfile=%{buildroot}%{_javadir}/xercesImpl-%{namedversion}.jar -DpomFile=%{buildroot}%{_mavenpomdir}/JPP-xercesImpl.pom -Durl=file://%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew -DrepositoryId=jboss-releases
%endif

%clean
rm -rf %{buildroot}

%post -n %{shortname}
%update_maven_depmap
%{_sbindir}/update-alternatives --install %{_javadir}/jaxp_parser_impl.jar \
  jaxp_parser_impl %{_javadir}/xercesImpl.jar 40

%preun -n %{shortname}
{
  [ $1 = 0 ] || exit 0
  %{_sbindir}/update-alternatives --remove jaxp_parser_impl %{_javadir}/xercesImpl.jar
} >/dev/null 2>&1 || :

%postun -n %{shortname}
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc LICENSE LICENSE.DOM-software.html NOTICE
%dir %{_javadir}*/%{name}
%{_javadir}*/%{name}/xercesImpl-%{namedversion}.jar
%{_javadir}*/%{name}/xercesImpl.jar

%files -n %{shortname}
%defattr(0644,root,root,0755)
%doc %dir %{_docdir}/%{shortname}-%{namedversion}
%doc %dir %{_docdir}/%{shortname}
%doc LICENSE LICENSE.DOM-software.html NOTICE
%{_javadir}*/xercesImpl-%{namedversion}.jar
%{_javadir}*/xercesImpl.jar
%{_mavenpomdir}/JPP-xercesImpl.pom
%{_mavendepmapfragdir}/xercesImpl
%if 0
%dir %{_datadir}/%{shortname}
%{_datadir}/%{shortname}/xercesImpl.jar
%endif

%files -n %{shortname}-javadoc
%defattr(0644,root,root,0755)
%doc LICENSE LICENSE.DOM-software.html NOTICE
%dir %{_javadocdir}
%dir %{_javadocdir}/%{shortname}-%{namedversion}
%dir %{_javadocdir}/%{shortname}
%{_javadocdir}/%{shortname}-%{namedversion}/api
%{_javadocdir}/%{shortname}-%{namedversion}/other
%{_javadocdir}/%{shortname}-%{namedversion}/xerces2
%{_javadocdir}/%{shortname}-%{namedversion}/xni
%{_javadocdir}/%{shortname}-%{namedversion}/xs

%files -n %{shortname}-manual
%defattr(0644,root,root,0755)
%doc LICENSE LICENSE.DOM-software.html NOTICE
%doc %dir %{_docdir}/%{shortname}-%{namedversion}
%doc %dir %{_docdir}/%{shortname}
%doc %{_docdir}/%{shortname}-%{namedversion}/download.cgi
%doc %{_docdir}/%{shortname}-%{namedversion}/*.html
%doc %{_docdir}/%{shortname}-%{namedversion}/graphics
%doc %{_docdir}/%{shortname}-%{namedversion}/images
%doc %dir %{_docdir}/%{shortname}-%{namedversion}/javadocs
%doc %{_docdir}/%{shortname}-%{namedversion}/resources
%if 0
%dir %{_datadir}/%{shortname}
%dir %{_datadir}/%{shortname}/docs
%endif

%files -n %{shortname}-demo
%defattr(0644,root,root,0755)
%{_javadir}*/xercesSamples-%{namedversion}.jar
%{_javadir}*/xercesSamples.jar
%dir %{_datadir}/%{shortname}
%dir %{_datadir}/%{shortname}/data
%{_datadir}/%{shortname}/data/personal.dtd
%{_datadir}/%{shortname}/data/personal-schema.xml
%{_datadir}/%{shortname}/data/personal.xml
%{_datadir}/%{shortname}/data/personal.xsd
%dir %{_datadir}/%{shortname}/samples
%{_datadir}/%{shortname}/samples/dom
%{_datadir}/%{shortname}/samples/jaxp
%{_datadir}/%{shortname}/samples/sax
%{_datadir}/%{shortname}/samples/simpletype
%{_datadir}/%{shortname}/samples/socket
%{_datadir}/%{shortname}/samples/ui
%{_datadir}/%{shortname}/samples/xni
%{_datadir}/%{shortname}/samples/xs

%files -n %{shortname}-scripts
%defattr(0755,root,root,0755)
%{_bindir}/xerces-j2-constants
%{_bindir}/xerces-j2-version

%if %with repolib
%files -n %{shortname}-repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Thu Jun 14 2012 David Walluck <dwalluck@redhat.com> 0:2.9.1-10.5
- update fonts BR

* Wed May 16 2012 David Walluck <dwalluck@redhat.com> 0:2.9.1-10.4
- perform full build
- rerun vman on pom
- add a partial monolithic layout matching bin zip (for data and samples)
- merge javadocs into one package, keeping upstream layout
- mark xml-apis optional and provided (needed for compilation, but not runtime)
- must hardcode xml-resolver version for now
- fix invalid Source0 URL
- fix macro in changelog
- add LICENSE and NOTICE to some packages
- change Group to Development/Java on some packages

* Tue Apr 10 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.9.1-10.3_redhat_1.2
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.9.1-10.3_redhat_1.1
- Rebuild using cache signing

* Thu Feb 16 2012 David Walluck <dwalluck@redhat.com> 0:2.9.1-10.3
- enable repolib

* Wed Feb 15 2012 David Walluck <dwalluck@redhat.com> 0:2.9.1-10.2
- requires jpackage-utils
- serializer jar is serializer.jar (no need to set CLASSPATH)

* Tue Feb 14 2012 Fernando Nasser <fnasser@redhat.com> 0:2.9.1-10.1
- Do not require JAXP API at run-time (provided)

* Tue Nov 22 2011 David Walluck <dwalluck@redhat.com> 0:2.9.1-10
- don't require xml-resolver (optional)
- requires post/postun jpackage-utils for maven support
- fix call to update maven depmap
- fix file ownership in main package
- remove obsolete dom3 symlink
- install real pom
- fix install
- fix docs install
- fix repolib file ownership
- fix repolib
- remove gcj support
- all javadoc subpackages require jpackage-utils
- BuildRequires: xml-stylebook
- patch for redhat
- install samples to _javadir

* Thu Nov 17 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.9.1-9_redhat_1.2
- Rebuild

* Wed Nov 16 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.9.1-9_redhat_1
- Upgrade to 2.9.1-redhat-1

* Wed Jan 19 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.9.1-8.patch01.1
- Fix release tag
- Add pom files for resolver and xml-apis
- Adjust creation of maven2-brew contents

* Wed Jan 19 2011 Hui Wang <huwang@redhat.com> - 0:2.9.1-8
- Fix component-info.xml

* Wed Jan 19 2011 Hui Wang <huwang@redhat.com> - 0:2.9.1-7
- Fix repodir

* Wed Jan 19 2011 Hui Wang <huwang@redhat.com> - 0:2.9.1-6
- Rebuild

* Mon Jan 17 2011 Hui Wang <huwang@redhat.com> - 0:2.9.1-5
- Rebuild

* Mon Jan 17 2011 Hui Wang <huwang@redhat.com> - 0:2.9.1-4
- Rebuild
- Use deploy command instead of upload.sh

* Mon Nov 29 2010 Hui Wang <huwang@redhat.com> - 0:2.9.1-3
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars

* Thu Jun 10 2010 Yiqiao Wang <yiwang@redhat.com> - 0:2.9.1-2.3.1
- merge witih RHEL4

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.9.1-2.2_patch_01.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.9.1-2.2_patch_01.2
- Rebuild

* Tue Dec 08 2009 David Walluck <dwalluck@redhat.com> 0:2.9.1-2.2_patch_01.1
- fix options

* Tue Oct 06 2009 Permaine Cheung <pcheung@redhat.com> 0:2.9.1-2.2_patch_01
- Add patch for CVE-2009-2625

* Tue Jun 09 2009 Martha Benitez <mbenitez@redhat.com> 0:2.9.1-2.1
- Comment out BR  java-fonts

* Tue Jan 13 2009 David Walluck <dwalluck@redhat.com> 0:2.9.1-2
- BuildRequires: xml-commons-repolib = 0:1.3.04

* Wed Jan 07 2009 David Walluck <dwalluck@redhat.com> 0:2.9.1-1
- 2.9.1

* Tue Aug 12 2008 David Walluck <dwalluck@redhat.com> 0:2.7.1-12
- add apache-xml-commons 1.3.04 as compatible

* Wed May 28 2008 David Walluck <dwalluck@redhat.com> 0:2.7.1-11.jpp5
- sync with 10jpp
- own %%{_libdir}/gcj/%%{name}
- remove javadoc scriptlets
- proper %%doc
- remove incorrect requirement on gnu-crypto
- use %%{javac} macro
- fix eol of NOTICE
- fix License
- fix Obsoletes/Provides for xerces-j2-dom3{,-javadoc}
- fix macro in %%changelog
- fix xml-commons-resolver dependency
- remove Vendor and Distribution tags

* Sat Apr 12 2008 David Walluck <dwalluck@redhat.com> 0:2.7.1-9jpp.ep1.2
- add xalan-j2-serializer to CLASSPATH
- BuildRequires: java-fonts

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> 0:2.7.1-9jpp.ep1.1
- New repolib location

* Fri Feb 23 2007 Matt Wringe <mwringe@redhat.com> 0:2.7.1-9jpp.el4ep1.2
- Change requirement of jaxp_parset_impl to xerces-j2 to prevent crimson
  from being used (crimson will cause the build to fail).

* Fri Feb 23 2007 Matt Wringe <mwringe@redhat.com> 0:2.7.1-9jpp.el4ep1.1
- First EP build
- Add repolib option

* Fri Feb 09 2007 Ralph Apel <r.apel at r-apel.de> 0:2.7.1-9jpp
- Add option to bootstrap without xml-stylesheet nor xalan
- Restore -manual subpackage when not bootstrap and with xml-stylesheet

* Tue Aug 15 2006 Matt Wringe <mwringe at redhat.com< 0:2.7.1-8jpp
- Fixed requires typo

* Sat Aug 12 2006 Matt Wringe <mwringe at redhat.com> 0:2.7.1-7jpp
- Add conditional native compiling
- Add missing requires for javadocs
- Add missing requires for post and preun
- Update version to 7jpp at Fedora's request

* Thu Mar 30 2006 Fernando Nasser <fnasser@redhat.com> 0:2.7.1-3jpp
- Add missing BR for xml-stylebook

* Wed Mar 22 2006 Ralph Apel <r.apel at r-apel.de> 0:2.7.1-2jpp
- First JPP-1.7 release
- use tools subdir and give it as java.endorsed.dirs (for java-1.4.2-bea e.g.)

* Fri Oct 07 2005 Ralph Apel <r.apel at r-apel.de> 0:2.7.1-1jpp
- Upgrade to 2.7.1

* Thu Jul 21 2005 Ralph Apel <r.apel at r-apel.de> 0:2.6.2-7jpp
- Include target jars-dom3
- Create new subpackage dom3

* Wed Jul 13 2005 Gary Benson <gbenson at redhat.com> 0:2.6.2-6jpp
- Build with Sun JDK (from <gareth.armstrong at hp.com>).

* Tue Jun 14 2005 Gary Benson <gbenson at redhat.com> 0:2.6.2-5jpp
- Remove the tools tarball, and build xjavac from source.
- Patch xjavac to fix the classpath under libgcj too.

* Thu Aug 26 2004 Ralph Apel <r.apel at r-apel.de> 0:2.6.2-4jpp
- Build with ant-1.6.2
- Dropped jikes requirement, built for 1.4.2

* Wed Jun 23 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.6.2-3jpp
- Updated Patch #0 to fix breakage using BEA 1.4.2 SDK, new patch
  from <mwringe@redhat.com> and <vivekl@redhat.com>.

* Mon Mar 29 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.6.2-2jpp
- Rebuilt with jikes 1.18 for java 1.3.1_11

* Tue Mar 23 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.6.2-1jpp
- 2.6.2

* Sun Feb 08 2004 David Walluck <david@anti-microsoft.org> 0:2.6.1-1jpp
- 2.6.1
- update Source0 URL
- now requires xml-commons-resolver

* Fri Jan  9 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:2.6.0-1jpp
- Update to 2.6.0
- Patch #1 (xerces-j2-manifest.patch) is unnecessary (upstream)

* Tue Oct 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.5.0-1jpp
- Update to 2.5.0.
- Clean up versionless javadoc dir symlinking, own (ghost) the symlinks.
- Mark javadocs as %%doc.

* Wed Jun  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.4.0-3jpp
- Own (ghost) %%{_javadir}/jaxp_parser_impl.jar.
- Remove alternatives in preun instead of postun.

* Mon May 12 2003 David Walluck <david@anti-microsoft.org> 0:2.4.0-2jpp
- bug #17325 fixed upstream

* Mon May 12 2003 David Walluck <david@anti-microsoft.org> 0:2.4.0-1jpp
- 2.4.0
- BuildRequires: jikes
- update for JPackage 1.5
- re-diff'ed build patch for 2.4.0
- bug #17325 handled by perl now
- scripts: s|find-jar|build-classpath| and don't test for java-functions

* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> - 2.3.0-2jpp
- For jpackage-utils 1.5
- zapped manual, since it doesn't want to build
- as a consequence, removed uneeded dependencies

* Mon Feb 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 2.3.0-1jpp
- Update to 2.3.0.
- Add a crude patch to work around invalid XML in doc sources, see
  <http://nagoya.apache.org/bugzilla/show_bug.cgi?id=17325>.
- Built with IBM's 1.3.1 SR3.

* Sat Dec 28 2002 Ville Skyttä <ville.skytta at iki.fi> - 2.2.1-2jpp
- Add upstream patch which fixes problems with Tomcat's webapps.
  <http://nagoya.apache.org/bugzilla/show_bug.cgi?id=13282>
  <http://marc.theaimsgroup.com/?l=xerces-cvs&m=103791990130308>
- Separate scripts subpackage.

* Fri Nov 15 2002 Ville Skyttä <ville.skytta at iki.fi> - 2.2.1-1jpp
- Update to 2.2.1.
- Change alternative to point to non-versioned jar.
- Don't remove alternative on upgrade.
- Fix Group tag for demo, javadoc and manual subpackages.
- Add version and constants scripts.
- Some spec file cleanup.

* Sun Oct  6 2002 Ville Skyttä <ville.skytta at iki.fi> 2.2.0-2jpp
- Fix bad permissions for main jar.

* Sun Sep 29 2002 Ville Skyttä <ville.skytta at iki.fi> 2.1.0-1jpp
- Update to 2.2.0.

* Tue Sep 10 2002 Ville Skyttä <ville.skytta at iki.fi> 2.1.0-2jpp
- Rebuild with -Dcompiler=modern, not a Jikes bug this time, but sloppy code
  that is tolerated by javac.  See <http://www-124.ibm.com/developerworks/bugs/?func=detailbug&bug_id=3218&group_id=10> for details.

* Tue Sep 10 2002 Ville Skyttä <ville.skytta at iki.fi> 2.1.0-1jpp
- 2.1.0.
- Updated description.
- Changed javadoc and manual group to Documentation.
- Spec file cleanups.

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.2-4jpp
- add BuildRequires xerces-j1 and xalan-j2
- removed BuildRequires xml-commons-api since ant require jaxp_parser_impl
  which in turn require xml-commons-api ;)

* Mon Jul 01 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.2-3jpp 
- vendor, distribution, group tags
- provides jaxp_parser_impl
- dropped api jar
- renamed lone jar to %%{name}.jar
- priority bumped to 40
- fixed stylebook build (add xerces-j1 in classpath)

* Wed Jun 26 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.2-2jpp
- rebuild for missing symlinks
- use sed instead of bash 2.x extension in link area to make spec compatible with distro using bash 1.1x

* Mon Jun 24 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.2-1jpp
- 2.0.2

* Sun Mar 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.1-1jpp 
- 2.0.1
- provides jaxp_parser2 virtual resource
- drop wrapper

* Sun Feb 03 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.0-1jpp 
- first JPackage release
